import { OnDestroy } from '@angular/core';
import { AlertCallConfig } from './alert-call-config';
import { AlertCallDevice } from './device-list-call.component';
import { Subject } from 'rxjs';
export declare class AlertCallContainerComponent implements OnDestroy {
    readonly _onDestroy: Subject<any>;
    alertList: Array<AlertCallConfig>;
    addAlert(alert: AlertCallConfig): string;
    removeAlert(key: string): void;
    onAnswerShare(key: string): void;
    onAnswerVideo(key: string): void;
    onAnswerVoice(key: string): void;
    onReject(key: string): void;
    onDeviceSelect(device: AlertCallDevice): void;
    destroy(): void;
    ngOnDestroy(): void;
}
